package com.cultural.heritage.model.dto.photoCategory;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "写真类别更新请求体", requiredProperties = {"id", "name"})
public class PhotoCategoryUpdateRequest implements Serializable {


    /**
     * 写真类别id
     */
    @Schema(description = "写真类别id", example = "2")
    private Long id;


    /**
     * 写真类别名称
     */
    @Schema(description = "写真类别名称", example = "简约风尚")
    private String name;



    @Serial
    private static final long serialVersionUID = 1L;
}
